---
- block:

  - name: Install video packages from apt
    apt:
      name:
        - "dvipng"
        - "ffmpeg"
        - "freeglut3-dev"
        - "gstreamer0.10-ffmpeg"
        - "gstreamer0.10-plugins-good"
        - "gstreamer0.10-plugins-bad"
        - "gstreamer0.10-plugins-ugly"
        - "kazam"
      install_recommends: no
      cache_valid_time: "{{ apt_cache_valid_time }}"

  # Add the zoox user to the video group on robot (exclude dev group)
  - name: Add zoox user to video
    user:
      name: zoox
      groups: video
      append: yes
    when: "'dev' not in group_names"

  become: yes
